Main Page Class Hierarchy Compound List File List Compound Members

# PolyTool Class Reference

`#include <tool.h>`

Inheritance diagram for PolyTool:

List of all members.

## Public Methods
bool | IsAllowedTool (ToolSet tool_to_start_next, bool onlyonce, int tools_on_stack)
void | AddPoint (double x, double y)
void | RemovePoint ()
void | Draw ()
void | End ()
wxString | GetToolInfo ()
## Protected Methods
void | EvLeftDClick ()
void | EvDrag ()
void | EvLD ()
void | EvLU ()
void | EvMove (int drag)

## Detailed Description

draw a polygon

The documentation for this class was generated from the following file:

- tool.h

PolyTool class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page